YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class ChartUtil

Package | com.yahoo.astra.fl.charts
Class | public class ChartUtil

Utility functions used throughout the charting framework.

Public Methods

| Method | Defined by
--- | --- | ---
|  | findSeriesOfType(series:ISeries, chart:IChart):Array [static] Retreives every the series of the same type of the input series from the chart's data provider. | ChartUtil
|  | isStackingAllowed(axis:IAxis, series:ISeries):Boolean [static] Determines if a series may be stacked on an axis. | ChartUtil

Method detail

findSeriesOfType | () | method

`public static function findSeriesOfType(series:ISeries, chart:IChart):Array`

Retreives every the series of the same type of the input series from the chart's data provider.

Parameters

| `series:ISeries`
| `chart:IChart`

Returns

| `Array`

isStackingAllowed | () | method |

`public static function isStackingAllowed(axis:IAxis, series:ISeries):Boolean`

Determines if a series may be stacked on an axis. The series must implement the IStackedSeries type, the axis must implement the IStackingAxis type and the axis must have stackingEnabled set to true.

Parameters

| `axis:IAxis`
| `series:ISeries`

Returns

| `Boolean`